<CsoundSynthesizer>

<CsOptions>
-W -o Amstd_Harmonic_Series_Arpeggio_Instr.wav 
</CsOptions>

<CsScore>
; carrier
f1 0 16384 10 .3 0 0 0 .1 .1 .1 .1 .1 .1

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	2.0 	3000	46.249303 	 	0.03 	 	0.07 	 	21 	
i1 	0.5 	2.0 	3000 	 	92.498606 	 	0.03 	 	0.07 	 	21 	
i1 	1 	2.0 	3000 	 	138.747909 	 	0.03 	 	0.07 	 	21 	
i1 	1.5 	2.0 	3000 	 	184.997211 	 	0.03 	 	0.07 	 	21 	
i1 	2 	2.0 	3000 	 	231.246514 	 	0.03 	 	0.07 	 	21 	
i1 	2.5 	2.0 	3000 	 	277.495817 	 	0.03 	 	0.07 	 	21 	
i1 	3 	2.0 	3000 	 	323.74512 	 	0.03 	 	0.07 	 	21 	
i1 	3.5 	2.0 	3000 	 	369.994423 	 	0.03 	 	0.07 	 	21 	
i1 	4 	2.0 	3000 	 	416.243726 	 	0.03 	 	0.07 	 	21 	
i1 	4.5 	2.5 	3000 	 	462.493028 	 	0.03 	 	0.07 	 	21 	
i1 	5 	2.0 	3000 	 	508.742331 	 	0.03 	 	0.07 	 	21 	
i1 	5.5 	2.5 	3000 	 	554.991634 	 	0.03 	 	0.07 	 	21 	
i1 	6 	2.0 	3000 	 	601.240937 	 	0.03 	 	0.07 	 	21 	
i1 	6.5 	1.5 	3000 	 	647.49024 	 	0.03 	 	0.07 	 	21 	
i1 	7 	1 0	3000 	 	693.739543 	 	0.03 	 	0.07 	 	21 	
i1 	7.5 	0.5 	3000 	 	739.988845 	 	0.03 	 	0.07 	 	21 	
;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;; can recognise these as test notes, rather than initialisation type notes, and leave them out
;
</CsScore>

<CsInstrumentToPlay>
i1 AMP CPS .03     .07     21     ; Extra params are pitch offset in hertz for inharmonicity, rise, and decay
</CsInstrumentToPlay>

<CsPitchBendGlides>
* 
</CsPitchBendGlides>


<CsInstruments>
; ************************************************************************
; ACCCI:      02_43_1.ORC
; timbre:     tibetan chant
; synthesis:  additive same units(02)
;             basic instrument with minimal differences in frequency(43)
;             arpeggio instrument by Risset
; source:     Phase6, Lorrain(1980); Boulanger(1990): risset1.orc
; coded:      jpg 9/93

instr 1; 
idur  = p3
iamp  = p4/9

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfq  = kp5


ioff1 = p6
ioff2 = 2*p6
ioff3 = 3*p6
ioff4 = 4*p6
irise = p7
idec  = p8

   ae  linen   iamp,irise,idur,idec   

   a1  oscili  ae, kfq, 1
   a2  oscili  ae, kfq+ioff1, 1  ; nine oscillators with the same ae
   a3  oscili  ae, kfq+ioff2, 1  ; and waveform, but slightly different
   a4  oscili  ae, kfq+ioff3, 1  ; frequencies create harmonic arpeggio 
   a5  oscili  ae, kfq+ioff4, 1
   a6  oscili  ae, kfq-ioff1, 1
   a7  oscili  ae, kfq-ioff2, 1
   a8  oscili  ae, kfq-ioff3, 1
   a9  oscili  ae, kfq-ioff4, 1
       out   a1+a2+a3+a4+a5+a6+a7+a8+a9

endin
</CsInstruments>

</CsoundSynthesizer>
